using System;
using System.ComponentModel.DataAnnotations;

namespace Fast.Web.Models;

public class SalesTaxExemptionListItem
{
    [Key] //need to set primary key for OData
    public int SalesTaxExemptionId { get; set; }

    [Display(Name = "Company")] public string Company { get; set; } = "";
    [Display(Name = "State")] public string State { get; set; } = "";
    [Display(Name = "Effective Date", Description = ",,{0:d}")] public DateOnly? EffectiveDate { get; set; }
    [Display(Name = "Expiration Date", Description = ",,{0:d}")] public DateOnly? ExpirationDate { get; set; }
}